@charset "utf-8";
.ui-dialog .ui-dialog-titlebar-close,.d-close ,.partner-link,.icon-app
{
    display:inline-block;
    vertical-align:middle;
    background-repeat:no-repeat;
    background-image:url(images/sprite.png);
}
html{height:100%}
body{height:100%;position:relative}
body,html{min-width: 1200px;}
.clearfix:after,.content:after,.main-header:after,.view:after,.content-header:after,.content-top:after,.content-bottom:after,.clearfixlist li:after,.mod-header:after,
.btn-list:after,.v-list:after,.oc-list:after,.content-body:after,.view-float:after,.layout:after,.video-hastitle:after,
.layout-base:after,.side-layout:after{display:block;content:'';clear:both;height:0;overflow:hidden;}
.substr{width:3em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}
.content{width:1200px;margin:auto;min-height:590px;padding:10px 0;position:relative;}
.wcontent{width:1000px;padding-top:0;}
.content-top{margin-bottom:10px;}
/******************************************** header footer **********************************************/




.layout{width:1200px;margin: 0 auto;}
.front-layout{padding: 40px 0 30px;}
#header{min-height: 60px;background-color: #211e1e;color:#fff;}
#header .layout{text-align: center}
#footer{background-color: #211e1e;color:#fff;padding: 35px 0 30px 0;border-top:5px solid #ff7826;}
.footer .layout{display: table;width: 1000px;}
.footer .layout>div{display: table-cell;vertical-align: top;}
.footer .copyright{width: 30%;}
.footer .copyright .right-info{color:#898888;margin-top: 25px;}
.footer .focus-wx{width: 35%;text-align: center;padding-right: 40px;}
.footer .focus-wx p{color:#ff7826;margin-top: 10px;}
.footer .links{width: 35%;}
.links-list{display: inline-block;line-height: 2em;color:#b1b1b1;vertical-align: top;margin-left:60px;}
.links-list:first-child{margin-left:0;}
.links-list dt{font-size: 16px;color:#fff;margin-bottom: 10px;line-height: 18px;}
.links-list dt a{cursor: default;}
.links-list a{color:inherit;}



.partner-link{width:80px;height:30px;vertical-align:bottom;}
.partner-link.baidu{background-position:-335px -472px;margin-left:3px;}
.partner-link.wisedu{background-position:-334px -439px;margin-left:10px;}
.partner-link.baidu:hover{background-position:-418px -472px;}
.partner-link.wisedu:hover{background-position:-418px -439px;}

.sidebar .panel{margin-bottom:10px;}
.query-cert-box{float:left;cursor:pointer;margin:6px 0 0 70px;}
.query-cert-box img{width:120px;height:120px;}
.query-cert-box .links-text{display:block;text-align:center;}
.icon-cert-bg{width:50px;height:50px;display:inline-block;vertical-align:middle;background:url(images/cert-bg.png) no-repeat;}
.query-cert-box:hover .links-text{color:#fff;}
.query-cert-box:hover .icon-cert-bg{background-position:0 -50px;}
.contact-box{float:left;color:#d1d1d1;font-size:14px;padding: 10px;margin-left: -10px;}
.contact-box .input-group{line-height:30px;margin-bottom:5px;}
.contact-box .icon-wechat{margin-left:5px;}
.input-wechat{position:relative;}
.wechat-img{width:120px;height:120px;position:absolute;left:-43px;bottom:32px;transition:all 0.3s;display:none;}
.matrix-effect{position:relative;font-size:0;width:32px;height:32px;vertical-align:middle;display:inline-block;}
.matrix-effect:hover .wechat-img{display:block;}
.matrix-effect .icon-qq{margin:0;}
.contact-box  .btn-icon{padding-left:32px;color:#d3d3d3;width: 120px;}
.contact-box  .btn-icon:hover{color:#fff;background-color: #505d6c;}
.btn-contact .icon-btn{background-color:transparent !important;transition:none !important;margin:0;top:-1px;}
.btn-contact:hover .icon-btn{background-color:transparent !important;}
.btn-contact{background-color:#49545f !important;overflow:visible !important;}
.btn-contact:hover{background-color:#616f7e !important;}
.btn-contact:hover .wechat-img{display:block;left:31px;bottom:30px;}
.btn-contact .icon-qq{margin-left:-1px;}



/*手机分辨率*/
.mobile-nav{float:right;display:none;}
.mn-item{float:left;line-height:78px;border-left:1px solid #9b9a9b;height:78px;width:65px;text-align:center;background-color:#f8f8f8;transition:all 0.3s;}
.mn-item:hover{background-color:#fff;}
.icon-mn{display:inline-block;vertical-align:middle;width:45px;height:45px;background-repeat:no-repeat;background-image:url(images/sprite-mobile.png);}
.icon-mhome{background-position:0 0;}
.icon-mcourse{background-position:0 -90px;}
.icon-muniversity{background-position:0 -45px;}
.icon-mnotice{background-position:0 -135px;}
.icon-mdownload{background-position:0 -180px;}
.icon-munion{background-position:0 -225px;}


/******************************************** 后台-全屏模板 **********************************************/
.full-content{width: 100%;padding: 10px;box-sizing: border-box;display: table;table-layout: fixed;}
.full-content .sidebar{display: table-cell;vertical-align:top;width: 218px;}
.full-content .sidebar .panel-body{background-color:#fff}
.full-content .main{display:table-cell;vertical-align: top;}
.inner-fmain{min-height: 750px;}
/******************************************** 个人中心 **********************************************/
.person-center .sidebar{float:left;width:280px;min-height: 730px;}
.person-center .main{float:right;width:910px;position:relative;}
/******************************************** 课程 **********************************************/
.course-index .sidebar{float:left;width:280px;}
.course-index .main{float:right;width:910px;}
.course-center .sidebar{float:right;width:240px;}
.course-center .main{float:left;width:710px;word-wrap: break-word;line-height: 24px;font-size:14px;}
.course-center .cdetail-nav{width: 710px;}
.course-detail .main{width: 750px;}
.course-detail .cdetail-nav{width: 750px;}
/******************************************** 管理后台 **********************************************/
.manage-center .sidebar{float:left;width:208px;}
.manage-center .main{float:right;width:982px;}
/******************************************** 个人中心 **********************************************/
.course-content .sidebar{float:left;width:280px;}
.course-content .main{float:right;width:910px;position:relative;}
/******************************************** 意见反馈 关于我们 帮助中心 等等 **********************************************/
.common-faq .sidebar{float:left;width:280px;}
.common-faq .main{float:right;width:910px;}
/******************************************** 进入学习 **********************************************/
.learning-center{width:1180px;}
.learning-center .sidebar{float:left;width:270px;}
.learning-center .main{float:right;width:900px;}
/******************************************** 进入课程 **********************************************/
.course-lession .sidebar{float:left;width:280px;}
.course-lession .main{float:right;width:910px;}
/*发布公告*/
.announce-message .sidebar{float:right;width:240px;}
.announce-message .sidebar:first-child{float:left;width:280px;}
.announce-message .main{float:left;margin-left:10px;width:492px;}
/******************************************** 通知通告 **********************************************/
.notice-content .sidebar{float:left;width:280px;}
.notice-content .main{float:right;width:910px;}
/******************************************** 合作院校 **********************************************/
.school-map .sidebar{float:right;width:168px;}
.school-map .main{float:left;width:782px;}
/****************************************无侧栏content*************************************************/
.content-no-sidebar .main{width:960px;}
.content-no-sidebar .catalog-map .main-body{margin:10px auto;}
/****************************************help *************************************************/
.help-center .sidebar{float:right;width:260px;}
.help-center .main{float:left;width:690px;}
/****************************************广场-发帖详情 *************************************************/
.main-topic-detail .inner-main{float:left;padding-top:0;width:710px;}
.main-topic-detail .sidebar{float:right;width:240px;}
.content-square-index .main{float:left;width:710px;}
.content-square-index .sidebar{float:right;width:240px;}
.yun-content .main{width: 750px;}

.yun-course-center .sidebar{float: left;width:320px;margin-top:-24px;}
.yun-course-center .main{float: right;width:660px;}
.freshman .sidebar{float: right;width: 330px}
.freshman .main{float: left;width: 640px}
/**/
.content-odetail .main{float: left;width: 700px;}
.content-odetail .sidebar{float: right;width: 242px;}
/****************************************云开发工程师详情 *************************************************/
.yc-index .content{width:1100px !important;min-height:300px;padding:0;}



/******************************************** dialog  artDialog **********************************************/
.ui-widget,.ui-widget input,.ui-widget select,.ui-widget textarea,.ui-widget button{color:#434d57;font-family:"Microsoft Yahei",Arial,Helvetica,sans-serif}
.ui-dialog{padding:0;border:0;border-radius:0 0 2px 2px}
.ui-dialog .ui-dialog-titlebar{background-color:#434d57;border:0;border-radius:0;padding:5px 18px}
.ui-dialog .ui-dialog-title{font-size:16px;color:#fff;line-height:20px;height:20px;margin:0}
.ui-dialog .ui-dialog-content{padding:15px}
.ui-dialog .ui-dialog-buttonpane{text-align:center;font-size:0;border:0;padding:20px}
.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset{float:none;display:inline-block;text-align:center}
.ui-dialog .ui-dialog-buttonpane button{margin:0 8px;border:0;height:30px;line-height:30px;border-radius:2px}
.ui-button.sure-button{color:#fff;background-color:#6cc2e3;transition:all 0.3s;-ms-transition:all 0.3s;}
.ui-button.cancel-button{background-color:transparent;color:#6cc2e3}
.ui-button.sure-button:hover{background-color:#4fb6dd;}
.ui-button.cancel-button:hover{text-decoration:underline;}
.ui-button .ui-button-text{font-size:14px;padding:0 14px}
.ui-dialog .ui-dialog-titlebar-close{width:24px;height:24px;margin:0;right:-6px;top:-6px;background-position:-192px 0;border:0;background-color:transparent;}
.ui-dialog .ui-dialog-titlebar-close:hover{background-position:-216px 0;}
.ui-widget-overlay{background:#000;opacity:0.7;filter:alpha(opacity=70)}
.ui-widget-content .link-action,.ui-widget-content .link-action b{color:#6cc2e3;}
.dialog{display:none;}
.course-detail{width: 1000px;}

.content-warp{width: 100%;box-sizing: border-box}
.content-warp .content{width: 1000px;margin: 0 auto;padding: 0;min-height: 0;}
.content-bar{background-color:#3e4958;height: 40px;color:#fff;}

/******************************************tutami左右布局*****************************************/
.layout-content{margin:20px auto;}
.layout-info .main-layout{width:910px;float:left;}
.layout-info .side-layout{float:right;width:280px;}
.base-layout{padding: 20px 0;min-height: 600px;}

.layout-test-main{min-height: 500px;}
.layout-test-main .side-layout{width: 202px;float: left;min-height: 730px;}
.layout-test-main .main-layout{width: 988px;float: right;}

.layout-base{width: 1200px;margin: 0 auto;}
.layout-base .side-layout{width: 208px;float: left;}
.layout-base .main-layout{width: 980px;float: right;}
.full-content > .crumbs{display: table-caption;margin: 0 10px;}

.full-layout #header .layout{width: 100%!important;padding: 0 20px;}
.full-layout .layout{width: 100%!important;padding: 0 20px;}









































